---
title: "Retrieve all users with a specified permission profile"
slug: "list-all-users-attached-to-a-given-permission-profile-v2permission-profileusers"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List all users attached to a given permission profile (/v2/permission-profile/users)

Get/v2/permission-profile/users

Returns a list of all users whose access is controlled by the given permission profile.

Required authorizaton scope: 'api:users:read'.

Query parametersprofileIdstringRequired

Permission profile identifier.

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='3080de1b-43f9-42de-8bfa-063a8932cb3f'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
users Array of object (UserSimpleMetadata)   

A list, in which each item specifies a user attached to the permission profile.

object  

A list, in which each item specifies a user attached to the permission profile.

idstring    

Gong's unique numeric identifier for the user (up to 20 digits).

Example234599484848423
fullNamestring    

The full name of the Gong user.

ExampleJon
emailAddressstring    

The email address of the Gong user.

Exampletest@test.com

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='73893440-6f5e-4578-a778-1bd635618381'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Access denied

<select class='api-response-data' aria-label='Media type'><option value='2c50a791-98da-47fa-8d9e-1937b2d8d802'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='7512cc40-b047-4b08-80a5-9071d7e7f88c'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
